GroovyEngine.Format (Groovy 5.1.0)
Description: declaration: package: org.apache.groovy.groovysh.jline, class: GroovyEngine, enum: Format

Package org.apache.groovy.groovysh.jline

# Enum GroovyEngine.Format

java.lang.Object
java.lang.Enum<GroovyEngine.Format>
org.apache.groovy.groovysh.jline.GroovyEngine.Format

All Implemented Interfaces:
  `Serializable`, `Comparable<GroovyEngine.Format>`, `java.lang.constant.Constable`

Enclosing class:
  GroovyEngine

public static enum GroovyEngine.Format extends Enum<GroovyEngine.Format>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AUTO`
  `GROOVY`
  `JSON`
  `NONE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GroovyEngine.Format`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static GroovyEngine.Format[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### JSON

    public static final GroovyEngine.Format JSON

  - ### GROOVY

    public static final GroovyEngine.Format GROOVY

  - ### NONE

    public static final GroovyEngine.Format NONE

  - ### AUTO

    public static final GroovyEngine.Format AUTO

- ## Method Details

  - ### values

    public static GroovyEngine.Format[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static GroovyEngine.Format valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null